Bug 75529 - latin0 not supported
latin0 not supported
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kbd (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-09 11:45 EDT by Rodary Jacques
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-11 10:59:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rodary Jacques 2002-10-09 11:45:47 EDT
Description of Problem:kbd doesn't treaet correctly accented characters, euro
sign, AltGr key, and so on... in text mode. Everthing OK in graphic mode. After
running redhat-config-langage, accented chars appear correctly, but hitting
backspace key after i for example erase two spaces (even the prompt).,


Version-Release number of selected component (if applicable):kbd-1.06.26


How Reproducible:
Upgrade from RedHat 7.3 with fr-latin0 keymap, fr_FR@euro as locale,
SYSFONT=lat0-sun16, and SYSFONTACM=iso15.

Steps to Reproduce:
1. 
2. 
3. 

Actual Results:
described above

Expected Results:


Additional Information:
I solved the problem  by uninstalling kbd and kbdconfig-1.06.26, and
reinstalling console-tools from redhat 7.3 and kbdconfig-1.06.26!!
Comment 1 Eido Inoue 2003-01-05 21:45:08 EST
latin0 was dropped and renamed to the correct latin9 with 1.08. Does kbd 1.08
work for you with the latin9 keymap?
Comment 2 Rodary Jacques 2004-02-27 18:58:16 EST
I wasn't expecting anymore :-D
Worksforme now with:
   - Fedora Core 1 and kbd 1.08.
   - in /etc/sysconfig/i18n:
LANG="fr_FR"
SUPPORTED="fr_FR.utf8:en_GB.iso885915:en_GB:en:en_US.iso885915:en_US:en:fr_FR@euro:fr_FR:fr"
SYSFONT="lat9w-16"
  - in /etc/sysconfig/keyboard:
KEYBOARDTYPE="pc"
KEYTABLE="fr-latin9"

any other combination I could try doesn't work full, which means
either no € (euro) sign, no accents with man, etc...
Comment 3 Rodary Jacques 2004-03-31 04:20:44 EST
Sorry: with above conf (locale=fr_FR, KEYTABLE="fr-latin9"), € (euro)
sign did work in text mode, but didn't in X after reboot, at least in
emacs, where I need it badly. So I had to go back to: 
                     locale = fr_FR@euro
                     KEYTABLE="fr-latin9"
                     alias man='LANG=fr_FR man'
Comment 4 Rodary Jacques 2005-02-10 08:35:17 EST
Diacritics and euro sign, are now OK with locale ="fr_FR@euro" SYSFONT="lat9w-16".
But some apps don't accept fr_FR@euro e.g. system-config-users. Furthermore, I
get errors related to utf8 and pango, e.g. with evolution.
Comment 5 Eido Inoue 2005-02-11 10:59:37 EST
Comment 4: as for certain apps not accepting the locale, bugs need to be filed
against the apps. Seems to work ok with respect to kbd, so re-closing.

Note You need to log in before you can comment on or make changes to this bug.